Subject: Drag and drop for the intuitive content positioning
Description

Right now it takes 4 clicks to change the content element position. Could be done with one drag and drop.
And fair 8 clicks to bring bottom content to the top.

Over all I think it's hard to get the point of content placement using another content element for that, another element that you don't
think you need to touch.

That goes for the copy,cut/paste as well as adding new content.
Selecting new content type and dragging it to the desired place would make sense.

Gridelements introduced it in TYPO3 CMS very well.
It took time to make drag and drop to the TYPO3 CMS but wasn't it a relief!

History
#1 - 2013-12-12 08:33 - Christian Müller
- Status changed from New to On Hold

You can easily drag and drop in the structure tree. There you also won't have soo much problems with scrolling. The thing is that moving content with
drag and drop is a very invasive feature. It is possible but without knowing how your CSS and JS is like it can quickly add some problems. That's why
we have the structure tree and let you drag and drop in there.

#2 - 2013-12-12 08:59 - Jacob Floyd

Yes, it is technically very problematic to add drag-n-drop within the page.

However, I also think that drag-n-drop is an important usability feature for editors.

Perhaps we could have a drag-n-drop feature (perhaps a separate package could add this) that is disabled by default (or must be installed before
getting the functionality), but an integrator can enable it if the website design meets the requirements. The drag-n-drop feature, then, could add some
restrictions about how to structure a website, or perhaps require an integrator to add a new drag-n-drop viewhelper to the fluid templates.

However we do this, I really hope that this feature gets in sooner rather than later.

#3 - 2013-12-22 09:28 - Tanel Põld

Understandably it's very complicated feature to implement in all editing modes.

But maybe it's a good idea to start first with it in "Raw Editing" mode only.
